> ## Documentation Index
> Fetch the complete documentation index at: https://www.latitude.sh/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List VM network attachments

> Lists the secondary network attachments currently configured for a Virtual Machine.




## OpenAPI

````yaml https://spec.speakeasy.com/latitude/latitude/latitude-sh-api-with-code-samples get /virtual_machines/{virtual_machine_id}/network_attachments
openapi: 3.0.1
info:
  title: Latitude.sh API
  version: '2023-06-01'
  description: >-
    The Latitude.sh API is a RESTful API to manage your Latitude.sh account. It
    allows you to perform the same actions as the Latitude.sh dashboard.
servers:
  - url: https://api.latitude.sh
    variables:
      latitude_api_key:
        default: <insert your api key here>
  - url: http://api.latitude.sh
    variables:
      latitude_api_key:
        default: <insert your api key here>
security: []
tags:
  - name: API keys
  - name: Billing
  - name: Elastic Ips
  - name: Events
  - name: Firewalls
  - name: IP Addresses
  - name: Kubernetes Clusters
  - name: Operating Systems
  - name: Plans
  - name: Private Networks
  - name: Projects
  - name: Regions
  - name: Roles
  - name: SSH Keys
  - name: Servers
  - name: Block Storage
  - name: Filesystem Storage
  - name: Object Storage
  - name: Tags
  - name: Teams
  - name: Team members
  - name: Traffic
  - name: User data
  - name: User profile
  - name: VPN Sessions
  - name: Virtual machines
  - name: Virtual machine backups
  - name: Virtual machine restores
paths:
  /virtual_machines/{virtual_machine_id}/network_attachments:
    get:
      tags:
        - Virtual machines
      summary: List VM network attachments
      description: >
        Lists the secondary network attachments currently configured for a
        Virtual Machine.
      operationId: list-virtual-machine-network-attachments
      parameters:
        - name: virtual_machine_id
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Success
          content:
            application/vnd.api+json:
              schema:
                $ref: '#/components/schemas/virtual_machine_network_attachments'
        '404':
          description: Not Found
      security:
        - Bearer: []
      x-codeSamples:
        - lang: go
          label: Go (SDK)
          source: "package main\n\nimport(\n\t\"context\"\n\t\"os\"\n\tlatitudeshgosdk \"github.com/latitudesh/latitudesh-go-sdk\"\n\t\"log\"\n)\n\nfunc main() {\n    ctx := context.Background()\n\n    s := latitudeshgosdk.New(\n        latitudeshgosdk.WithSecurity(os.Getenv(\"LATITUDESH_BEARER\")),\n    )\n\n    res, err := s.VirtualMachines.ListVirtualMachineNetworkAttachments(ctx, \"<id>\")\n    if err != nil {\n        log.Fatal(err)\n    }\n    if res.VirtualMachineNetworkAttachments != nil {\n        // handle response\n    }\n}"
        - lang: typescript
          label: Typescript (SDK)
          source: |-
            import { Latitudesh } from "latitudesh-typescript-sdk";

            const latitudesh = new Latitudesh({
              bearer: process.env["LATITUDESH_BEARER"] ?? "",
            });

            async function run() {
              const result = await latitudesh.virtualMachines.listVirtualMachineNetworkAttachments({
                virtualMachineId: "<id>",
              });

              console.log(result);
            }

            run();
        - lang: python
          label: Python (SDK)
          source: |-
            from latitudesh_python_sdk import Latitudesh
            import os


            with Latitudesh(
                bearer=os.getenv("LATITUDESH_BEARER", ""),
            ) as latitudesh:

                res = latitudesh.virtual_machines.list_virtual_machine_network_attachments(virtual_machine_id="<id>")

                # Handle response
                print(res)
components:
  schemas:
    virtual_machine_network_attachments:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/virtual_machine_network_attachment_resource'
    virtual_machine_network_attachment_resource:
      type: object
      properties:
        id:
          type: string
          description: The VLAN id_hash of the attachment
        type:
          type: string
          enum:
            - virtual_machine_network_attachments
        attributes:
          type: object
          properties:
            virtual_network_id:
              type: string
              description: The encoded VLAN id_hash
            vid:
              type: integer
              description: The 802.1Q VLAN ID
            pending_restart:
              type: boolean
              description: True if the attachment requires a VM restart to take effect
  securitySchemes:
    Bearer:
      type: apiKey
      name: Authorization
      in: header

````